Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZPriceType Class Reference

Stores a price (float) More...

Inheritance diagram for eZPriceType:

## Public Member Functions
| __construct ()
| validateObjectAttributeHTTPInput ( $http, $base, $contentObjectAttribute)
| storeObjectAttribute ( $attribute)
| metaData ( $contentObjectAttribute)
| initializeObjectAttribute ( $contentObjectAttribute, $currentVersion, $originalContentObjectAttribute)
| initializeClassAttribute ( $classAttribute)
| fetchClassAttributeHTTPInput ( $http, $base, $classAttribute)
| fetchObjectAttributeHTTPInput ( $http, $base, $contentObjectAttribute)
| objectAttributeContent ( $contentObjectAttribute)
| classAttributeContent ( $classAttribute)
| contentActionList ( $classAttribute)
| title ( $contentObjectAttribute, $name=null)
| sortKey ( $contentObjectAttribute)
| sortKeyType ()
| hasObjectAttributeContent ( $contentObjectAttribute)
| toString ( $contentObjectAttribute)
| fromString ( $contentObjectAttribute, $string)
| serializeContentClassAttribute ( $classAttribute, $attributeNode, $attributeParametersNode)
| unserializeContentClassAttribute ( $classAttribute, $attributeNode, $attributeParametersNode)
| supportsBatchInitializeObjectAttribute ()
Public Member Functions inherited from eZDataType
| __construct ( $dataTypeString, $name, $properties=array())
| eZDataType ( $dataTypeString, $name, $properties=array())
| viewTemplate ( $contentobjectAttribute)
| editTemplate ( $contentobjectAttribute)
| informationTemplate ( $contentobjectAttribute)
| resultTemplate (&$collectionAttribute)
| isA ()
| isTranslatable ()
| attributes ()
| hasAttribute ( $attr)
| attribute ( $attr)
| isHTTPFileInsertionSupported ()
| isRegularFileInsertionSupported ()
| isSimpleStringInsertionSupported ()
| isRelationType ()
| insertHTTPFile ( $object, $objectVersion, $objectLanguage, $objectAttribute, $httpFile, $mimeData, &$result)
| insertRegularFile ( $object, $objectVersion, $objectLanguage, $objectAttribute, $filePath, &$result)
| insertSimpleString ( $object, $objectVersion, $objectLanguage, $objectAttribute, $string, &$result)
| hasStoredFileInformation ( $object, $objectVersion, $objectLanguage, $objectAttribute)
| handleDownload ( $object, $objectVersion, $objectLanguage, $objectAttribute)
| storedFileInformation ( $object, $objectVersion, $objectLanguage, $objectAttribute)
| productOptionInformation ( $objectAttribute, $optionID, $productItem)
| objectDisplayInformation ( $objectAttribute, $mergeInfo=false)
| classDisplayInformation ( $classAttribute, $mergeInfo=false)
| onPublish ( $contentObjectAttribute, $contentObject, $publishedNodes)
| preStoreClassAttribute ( $classAttribute, $version)
| storeClassAttribute ( $classAttribute, $version)
| storeDefinedClassAttribute ( $classAttribute)
| storeModifiedClassAttribute ( $classAttribute)
| storeVersionedClassAttribute ( $classAttribute, $version)
| preStoreDefinedClassAttribute ( $classAttribute)
| preStoreModifiedClassAttribute ( $classAttribute)
| preStoreVersionedClassAttribute ( $classAttribute, $version)
| validateClassAttributeHTTPInput ( $http, $base, $classAttribute)
| fixupClassAttributeHTTPInput ( $http, $base, $classAttribute)
| customClassAttributeHTTPAction ( $http, $action, $classAttribute)
| fetchActionValue ( $action, $actionName, &$value)
| fixupObjectAttributeHTTPInput ( $http, $base, $objectAttribute)
| validateCollectionAttributeHTTPInput ( $http, $base, $objectAttribute)
| fixupCollectionAttributeHTTPInput ( $http, $base, $objectAttribute)
| fetchCollectionAttributeHTTPInput ( $collection, $collectionAttribute, $http, $base, $objectAttribute)
| customObjectAttributeHTTPAction ( $http, $action, $objectAttribute, $parameters)
| handleCustomObjectHTTPActions ( $http, $attributeDataBaseName, $customActionAttributeArray, $customActionParameters)
| cloneClassAttribute ( $oldClassAttribute, $newClassAttribute)
| repairContentObjectAttribute ( $contentObjectAttribute)
| postInitializeObjectAttribute ( $objectAttribute, $currentVersion, $originalContentObjectAttribute)
| postStore ( $objectAttribute)
| trashStoredObjectAttribute ( $objectAttribute, $version=null)
| restoreTrashedObjectAttribute ( $objectAttribute)
| deleteStoredObjectAttribute ( $objectAttribute, $version=null)
| deleteStoredClassAttribute ( $classAttribute, $version=null)
| deleteNotVersionedStoredClassAttribute (eZContentClassAttribute $classAttribute)
| hasInformationCollection ()
| isIndexable ()
| isAddToBasketValidationRequired ()
| validateAddToBasket ( $objectAttribute, $data, &$errors)
| isClassAttributeRemovable ( $classAttribute)
| classAttributeRemovableInformation ( $classAttribute, $includeAll=true)
| isInformationCollector ()
| customSorting ()
| customSortingSQL ( $params)
| templateList ()
| serializeContentObjectAttribute ( $package, $objectAttribute)
| unserializeContentObjectAttribute ( $package, $objectAttribute, $attributeNode)
| postUnserializeContentObjectAttribute ( $package, $objectAttribute)
| removeRelatedObjectItem ( $contentObjectAttribute, $objectID)
| fixRelatedObjectItem ( $contentObjectAttribute, $objectID, $mode)
| createContentObjectAttributeDOMNode ( $objectAttribute)
| diff ( $old, $new, $options=false)
| getDBAFileName ()
| getDBAFilePath ( $checkExtensions=true)
| getDBAExtensionFilePath ()
| importDBDataFromDBAFile ( $dbaFilePath=false)
| batchInitializeObjectAttributeData ( $classAttribute)

## Public Attributes
const | DATA_TYPE_STRING = "ezprice"
const | INCLUDE_VAT_FIELD = 'data_int1'
const | INCLUDE_VAT_VARIABLE = '_ezprice_include_vat_'
const | VAT_ID_FIELD = 'data_float1'
const | VAT_ID_VARIABLE = '_ezprice_vat_id_'
const | INCLUDED_VAT = 1
const | EXCLUDED_VAT = 2
Public Attributes inherited from eZDataType
| $Attributes
| $DataTypeString
| The datatype string ID, used for uniquely identifying a datatype. More...
| $Name
| The descriptive name of the datatype, usually used for displaying to the user. More...

## Additional Inherited Members
Static Public Member Functions inherited from eZDataType
static | create ( $dataTypeString)
static | registeredDataTypes ()
static | register ( $dataTypeString, $className)
static | allowedTypes ()
static | loadAndRegisterAllTypes ()
static | loadAndRegisterType ( $type)

## Detailed Description

Stores a price (float)

Definition at line 18 of file ezpricetype.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZPriceType::__construct | ( |  | ) |

Definition at line 28 of file ezpricetype.php.

References ezpI18n\tr().

## Member Function Documentation

## ◆ classAttributeContent()

eZPriceType::classAttributeContent | ( |  | $classAttribute | ) |

Returns class content.

Reimplemented from eZDataType.

Definition at line 173 of file ezpricetype.php.

## ◆ contentActionList()

eZPriceType::contentActionList | ( |  | $classAttribute | ) |

Return content action(s) which can be performed on object containing the current datatype. Return format is array of arrays with key 'name' and 'action'. 'action' can be mapped to url in datatype.ini

Parameters

  eZContentClassAttribute | $classAttribute |

Returns
  array

Reimplemented from eZDataType.

Definition at line 188 of file ezpricetype.php.

References ezpI18n\tr().

## ◆ fetchClassAttributeHTTPInput()

eZPriceType::fetchClassAttributeHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $classAttribute
| ) |  |

Fetches the HTTP input for the content class attribute.

Note
  Default implementation does nothing.

Reimplemented from eZDataType.

Definition at line 113 of file ezpricetype.php.

## ◆ fetchObjectAttributeHTTPInput()

eZPriceType::fetchObjectAttributeHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $contentObjectAttribute
| ) |  |

Fetches the http post var integer input and stores it in the data instance.

Reimplemented from eZDataType.

Definition at line 133 of file ezpricetype.php.

References eZLocale\instance().

## ◆ fromString()

eZPriceType::fromString | ( |  | $contentObjectAttribute,
|  |  | $string
| ) |  |

Reimplemented from eZDataType.

Definition at line 232 of file ezpricetype.php.

## ◆ hasObjectAttributeContent()

eZPriceType::hasObjectAttributeContent | ( |  | $contentObjectAttribute | ) |

Returns
  `true` if the datatype finds any content in the attribute $contentObjectAttribute.

Reimplemented from eZDataType.

Definition at line 216 of file ezpricetype.php.

## ◆ initializeClassAttribute()

eZPriceType::initializeClassAttribute | ( |  | $classAttribute | ) |

Set default class attribute value

Reimplemented from eZDataType.

Definition at line 107 of file ezpricetype.php.

## ◆ initializeObjectAttribute()

eZPriceType::initializeObjectAttribute | ( |  | $contentObjectAttribute,
|  |  | $currentVersion,
|  |  | $originalContentObjectAttribute
| ) |  |

reimp

Reimplemented from eZDataType.

Definition at line 93 of file ezpricetype.php.

## ◆ metaData()

eZPriceType::metaData | ( |  | $contentObjectAttribute | ) |

Returns
  the text which should be indexed in the search engine. An associative array can be returned to enable searching in specific parts of the data. E.g. array( 'first_column' => "foo", 'second_column' => "bar" );

Reimplemented from eZDataType.

Definition at line 85 of file ezpricetype.php.

## ◆ objectAttributeContent()

eZPriceType::objectAttributeContent | ( |  | $contentObjectAttribute | ) |

Returns the content.

Reimplemented from eZDataType.

Definition at line 153 of file ezpricetype.php.

## ◆ serializeContentClassAttribute()

eZPriceType::serializeContentClassAttribute | ( |  | $classAttribute,
|  |  | $attributeNode,
|  |  | $attributeParametersNode
| ) |  |

Adds the necessary dom structure to the attribute parameters.

Note
  The default is to add unsupported='true' to the attribute node, meaning that the datatype does not support serializing.

Reimplemented from eZDataType.

Definition at line 250 of file ezpricetype.php.

## ◆ sortKey()

eZPriceType::sortKey | ( |  | $objectAttribute | ) |

Returns
  the sort key for the datatype. This is used for sorting on attribute level.

Reimplemented from eZDataType.

Definition at line 205 of file ezpricetype.php.

## ◆ sortKeyType()

eZPriceType::sortKeyType | ( |  | ) |

Returns
  the type of the sort key int|string False is returned if sorting is not supported

Reimplemented from eZDataType.

Definition at line 211 of file ezpricetype.php.

## ◆ storeObjectAttribute()

eZPriceType::storeObjectAttribute | ( |  | $objectAttribute | ) |

Stores the datatype data to the database which is related to the object attribute.

Returns
  True if the value was stored correctly.

Note
  The method is entirely up to the datatype, for instance it could reuse the available types in the the attribute or store in a separate object.

See also
  fetchObjectAttributeHTTPInput

Reimplemented from eZDataType.

Definition at line 81 of file ezpricetype.php.

## ◆ supportsBatchInitializeObjectAttribute()

eZPriceType::supportsBatchInitializeObjectAttribute | ( |  | ) |

Reimplemented from eZDataType.

Definition at line 316 of file ezpricetype.php.

## ◆ title()

eZPriceType::title | ( |  | $objectAttribute,
|  |  | $name = `null`
| ) |  |

Returns the title of the current type, this is to form the title of the object.

Reimplemented from eZDataType.

Definition at line 200 of file ezpricetype.php.

## ◆ toString()

eZPriceType::toString | ( |  | $objectAttribute | ) |

Returns
  string representation of an contentobjectattribute data for simplified export

Reimplemented from eZDataType.

Definition at line 221 of file ezpricetype.php.

## ◆ unserializeContentClassAttribute()

eZPriceType::unserializeContentClassAttribute | ( |  | $classAttribute,
|  |  | $attributeNode,
|  |  | $attributeParametersNode
| ) |  |

Extracts values from the attribute parameters and sets it in the class attribute.

Note
  This function is called after the attribute has been stored and a second store is called after this function is done.

Reimplemented from eZDataType.

Definition at line 281 of file ezpricetype.php.

References eZVatType\create(), EXCLUDED_VAT, eZVatType\fetchList(), and INCLUDED_VAT.

## ◆ validateObjectAttributeHTTPInput()

eZPriceType::validateObjectAttributeHTTPInput | ( |  | $http,
|  |  | $base,
|  |  | $contentObjectAttribute
| ) |  |

Validates the input and returns true if the input was valid for this datatype.

Reimplemented from eZDataType.

Definition at line 39 of file ezpricetype.php.

References eZLocale\instance(), eZInputValidator\STATE_ACCEPTED, eZInputValidator\STATE_INVALID, and ezpI18n\tr().

## Member Data Documentation

## ◆ DATA_TYPE_STRING

const eZPriceType::DATA_TYPE_STRING = "ezprice"

Definition at line 20 of file ezpricetype.php.

## ◆ EXCLUDED_VAT

const eZPriceType::EXCLUDED_VAT = 2

Definition at line 26 of file ezpricetype.php.

Referenced by unserializeContentClassAttribute().

## ◆ INCLUDE_VAT_FIELD

const eZPriceType::INCLUDE_VAT_FIELD = 'data_int1'

Definition at line 21 of file ezpricetype.php.

Referenced by eZPrice\__construct().

## ◆ INCLUDE_VAT_VARIABLE

const eZPriceType::INCLUDE_VAT_VARIABLE = '_ezprice_include_vat_'

Definition at line 22 of file ezpricetype.php.

## ◆ INCLUDED_VAT

const eZPriceType::INCLUDED_VAT = 1

Definition at line 25 of file ezpricetype.php.

Referenced by unserializeContentClassAttribute().

## ◆ VAT_ID_FIELD

const eZPriceType::VAT_ID_FIELD = 'data_float1'

Definition at line 23 of file ezpricetype.php.

Referenced by eZPrice\__construct().

## ◆ VAT_ID_VARIABLE

const eZPriceType::VAT_ID_VARIABLE = '_ezprice_vat_id_'

Definition at line 24 of file ezpricetype.php.

The documentation for this class was generated from the following file:

- ezpricetype.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.